# Class MetalToolBarUI.MetalRolloverListener

java.lang.Object
javax.swing.plaf.basic.BasicToolBarUI.PropertyListener
javax.swing.plaf.metal.MetalToolBarUI.MetalRolloverListener

All Implemented Interfaces:
  `PropertyChangeListener, EventListener`

Enclosing class:
  `MetalToolBarUI`

protected class MetalToolBarUI.MetalRolloverListener extends BasicToolBarUI.PropertyListener
No longer used. The class cannot be removed for compatibility reasons.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`MetalRolloverListener()`
Constructs a `MetalRolloverListener`.

## Method Summary

### Methods declared in class BasicToolBarUI.PropertyListener

`propertyChange`

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MetalRolloverListener

protected MetalRolloverListener()
Constructs a `MetalRolloverListener`.